<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@E002=63</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bonus Time">
    <script state="run">
      <action>maincpu.pb@E4B7=01</action>
    </script>
  </cheat>

  <cheat desc="Invincibility (Water)"> <comment>Stops you drowning and fixes the issues with the Invincibility (Land) cheats</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@2D47</action>
    </script>
    <script state="run">
      <action>maincpu.mb@2D47=C9</action>
    </script>
    <script state="off">
      <action>maincpu.mb@2D47=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Select next stage">
    <parameter min="1" max="99" step="1"/>
    <script state="change">
      <action>maincpu.pb@E1A0=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Finish Stage Quickly Now!"> <comment>To finish a stage quickly on the one player game you merely have to die or for the two player game you have to kill all on-screen enemies.</comment>
    <script state="on">
      <action>maincpu.pb@E1B3=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@E1E1=05</action>
    </script>
  </cheat>

  <cheat desc="Invincibility (Land) PL1"> <comment>Ineffective against falling into the water. If you fall into the water, your character may freeze. (may need to turn this cheat OFF)</comment>
    <script state="run">
      <action>maincpu.pb@F402=01</action>
    </script>
  </cheat>

  <cheat desc="Always have Full Power PL1">
    <script state="run">
      <action>maincpu.pb@E1FC=63</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Punch PL1">
    <script state="run">
      <action>maincpu.pb@E014=00|(maincpu.pb@E014 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Jump Kick PL1">
    <script state="run">
      <action>maincpu.pb@E014=00|(maincpu.pb@E014 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Rolling PL1">
    <script state="run">
      <action>maincpu.pb@E014=00|(maincpu.pb@E014 BAND ~40)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@E221=05</action>
    </script>
  </cheat>

  <cheat desc="Invincibility (Land) PL2"> <comment>Ineffective against falling into the water. If you fall into the water, your character may freeze. (may need to turn this cheat OFF)</comment>
    <script state="run">
      <action>maincpu.pb@F482=01</action>
    </script>
  </cheat>

  <cheat desc="Always have Full Power PL2">
    <script state="run">
      <action>maincpu.pb@E23C=63</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Punch PL2">
    <script state="run">
      <action>maincpu.pb@E017=00|(maincpu.pb@E017 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Jump Kick PL2">
    <script state="run">
      <action>maincpu.pb@E017=00|(maincpu.pb@E017 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Rolling PL2">
    <script state="run">
      <action>maincpu.pb@E017=00|(maincpu.pb@E017 BAND ~40)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
